Consignment Notes
Manage notes attached to consignments. Notes can include text and optionally be displayed on printed documents.
Endpoints Overview
| Method | Endpoint | Description |
|---|---|---|
GET |
/v1/consignments/{consignmentId}/notes/{consignmentNoteId} |
Get a consignment note |
POST |
/v1/consignments/{consignmentId}/notes |
Create a note |
PUT |
/v1/consignments/{consignmentId}/notes/{consignmentNoteId} |
Update a note |
PUT |
/v1/consignments/{consignmentId}/notes/{consignmentNoteId}/display-on-printout |
Toggle displaying a note on printout |
DELETE |
/v1/consignments/{consignmentId}/notes/{consignmentNoteId} |
Delete a note |
GET |
/v1/consignments/{consignmentId}/notes/{consignmentNoteId}/attachments/{consignmentNoteAttachmentId}/file |
Download an attachment file |
GET |
/v1/consignments/{consignmentId}/notes/{consignmentNoteId}/attachments/{consignmentNoteAttachmentId}/print |
Print an attachment file |
Get a consignment note
Retrieve the details of a consignment's note.
Endpoint: GET /v1/consignments/{consignmentId}/notes/{consignmentNoteId}
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
consignmentNoteId |
uuid | Yes | The consignment note ID |
Request Example
curl -X GET "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes/550e8400-e29b-41d4-a716-446655440900" \
-H "Authorization: Bearer ACCESS_TOKEN"
Response Example
{
"id": "550e8400-e29b-41d4-a716-446655440900",
"createdUtc": "2026-03-08T23:35:10.0840000Z",
"createdBy":"Sam Smith",
"note":"Lorem ipsum dolor sit amet",
"displayOnPrintOut": false,
"attachments": [
{
"id": "550e8400-e29b-41d4-a716-446655440901",
"fileName": "attached-label.pdf",
"contentType": "application/pdf",
"printType": 1
},
{
"id": "550e8400-e29b-41d4-a716-446655440902",
"fileName": "inbound-image.jpg",
"contentType": "image/png",
"printType": null
}
]
}
Response Fields
| Field | Type | Description |
|---|---|---|
id |
uuid | Consignment note ID |
createdUtc |
datetime | Date/Time the note was created in UTC |
createdBy |
string | User that created the note |
note |
string | The note content |
displayOnPrintOut |
boolean | Is the note displayed on a printout |
attachments |
array | Attachments |
Attachment Object
| Field | Type | Description |
|---|---|---|
id |
string | Attachment Id |
fileName |
string | File name of the attachment |
contentType |
string | MIME type of the attachment |
printType |
integer | The type of attachment for printing purposes |
Print Type Values
| Value | Type | Description |
|---|---|---|
1 |
Label | Attachment is a label |
2 |
Document | Attachment is a document |
Create Note
Add a new note to a consignment.
Endpoint: POST /v1/consignments/{consignmentId}/notes
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
Request Body
{
"note": "Customer requested afternoon delivery only. Contact before arrival.",
"displayOnPrintOut": true,
"attachments": [
{
"fileName": "delivery-instructions.pdf",
"contentType": "application/pdf",
"content": "<base64-encoded-file-content>",
"options": {
"printType": 2
}
}
]
}
| Field | Type | Required | Description |
|---|---|---|---|
note |
string | Yes | Note text content |
displayOnPrintOut |
boolean | No | Whether the note will be included when the consignment is exported or printed |
attachments |
array | No | A collection of files to attach to the note |
attachments[].fileName |
string | Yes | File name of the attachment |
attachments[].contentType |
string | Yes | MIME type of the file |
attachments[].content |
string | Yes | Base64-encoded file content |
attachments[].options.printType |
integer | No | Print type for the attachment (see Print Type Values) |
Request Example
curl -X POST "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes" \
-H "Authorization: Bearer ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"note": "Customer requested afternoon delivery only. Contact before arrival.",
"displayOnPrintOut": true
}'
Response Example
Status: 200 OK
Returns the ID of the created consignment note as a UUID string.
"550e8400-e29b-41d4-a716-446655440400"
Error Cases
| Status | Cause | Resolution |
|---|---|---|
400 |
Empty note text | Provide note content |
404 |
Consignment not found | Verify consignment ID |
Update Note
Update an existing note on a consignment.
Endpoint: PUT /v1/consignments/{consignmentId}/notes/{consignmentNoteId}
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
consignmentNoteId |
uuid | Yes | The consignment note ID |
Request Body
{
"note": "Updated: Customer now requests morning delivery. Call 30 mins before.",
"displayOnPrintOut": true
}
| Field | Type | Required | Description |
|---|---|---|---|
note |
string | Yes | Updated note text |
displayOnPrintOut |
boolean | No | Include on printed documents |
Request Example
curl -X PUT "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes/550e8400-e29b-41d4-a716-446655440400" \
-H "Authorization: Bearer ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"note": "Updated: Customer now requests morning delivery. Call 30 mins before.",
"displayOnPrintOut": true
}'
Response
| Status | Description |
|---|---|
200 |
Note updated successfully |
304 |
Not modified (no changes) |
Toggle displaying a note on printout
Toggle displaying an existing note on a printout.
Endpoint: PUT /v1/consignments/{consignmentId}/notes/{consignmentNoteId}/display-on-printout
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
consignmentNoteId |
uuid | Yes | The consignment note ID |
Request Body
{
"displayOnPrintOut": true
}
| Field | Type | Required | Description |
|---|---|---|---|
displayOnPrintOut |
boolean | No | Include on printed documents |
Request Example
curl -X PUT "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes/550e8400-e29b-41d4-a716-446655440400/display-on-printout" \
-H "Authorization: Bearer ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"displayOnPrintOut": true
}'
Response
| Status | Description |
|---|---|
200 |
Note updated successfully |
Delete Note
Remove a note from a consignment.
Endpoint: DELETE /v1/consignments/{consignmentId}/notes/{consignmentNoteId}
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
consignmentNoteId |
uuid | Yes | The consignment note ID |
Request Example
curl -X DELETE "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes/550e8400-e29b-41d4-a716-446655440400" \
-H "Authorization: Bearer ACCESS_TOKEN"
Response
Status: 200 OK
Error Cases
| Status | Cause | Resolution |
|---|---|---|
404 |
Note not found | Verify note ID |
Download Attachment File
Download the file of a consignment note's attachment.
Endpoint: GET /v1/consignments/{consignmentId}/notes/{consignmentNoteId}/attachments/{consignmentNoteAttachmentId}/file
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
consignmentNoteId |
uuid | Yes | The consignment note ID |
consignmentNoteAttachmentId |
uuid | Yes | The attachment ID |
Request Example
curl -X GET "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes/550e8400-e29b-41d4-a716-446655440900/attachments/550e8400-e29b-41d4-a716-446655440901/file" \
-H "Authorization: Bearer ACCESS_TOKEN" \
--output attachment.pdf
Response
Status: 200 OK
Returns the binary file content of the attachment.
Print Attachment File
Print the file of a consignment note's attachment via Printer Bridge.
Endpoint: GET /v1/consignments/{consignmentId}/notes/{consignmentNoteId}/attachments/{consignmentNoteAttachmentId}/print
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
consignmentId |
uuid | Yes | The consignment ID |
consignmentNoteId |
uuid | Yes | The consignment note ID |
consignmentNoteAttachmentId |
uuid | Yes | The attachment ID |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
PrinterId |
uuid | No | The printer bridge warehouse printer ID to use for printing |
Orientation |
integer | No | The orientation of the PDF (see PDF Orientation Values) |
PDF Orientation Values
| Value | Orientation | Description |
|---|---|---|
1 |
Portrait | Portrait orientation |
2 |
Landscape | Landscape orientation |
Request Example
curl -X GET "https://api.consignlyhq.com/v1/consignments/550e8400-e29b-41d4-a716-446655440000/notes/550e8400-e29b-41d4-a716-446655440900/attachments/550e8400-e29b-41d4-a716-446655440901/print?PrinterId=550e8400-e29b-41d4-a716-446655449900&Orientation=1" \
-H "Authorization: Bearer ACCESS_TOKEN"
Response Example
{
"printJobId": "550e8400-e29b-41d4-a716-446655440950"
}
Response Fields
| Field | Type | Description |
|---|---|---|
printJobId |
uuid | Print job ID to track print job details |
Notes in Consignment Detail
Notes are included in the consignment detail response when retrieving a consignment:
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"notes": [
{
"id": "550e8400-e29b-41d4-a716-446655440400",
"note": "Customer requested afternoon delivery only.",
"displayOnPrintOut": true,
"attachmentCount": 0
},
{
"id": "550e8400-e29b-41d4-a716-446655440401",
"note": "Internal: Check inventory availability before dispatch.",
"displayOnPrintOut": false,
"attachmentCount": 2
}
]
}
Note Fields in Detail Response
| Field | Type | Description |
|---|---|---|
id |
uuid | Note ID |
note |
string | Note text content |
displayOnPrintOut |
boolean | Whether note appears on printed documents |
attachmentCount |
integer | Number of attachments on the note |
Related Endpoints
- Consignments - Main consignment management
- Consignment Import - Create consignments with notes